summaryrefslogtreecommitdiffstats
path: root/main
diff options
context:
space:
mode:
authorCarlo Landmeter <clandmeter@gmail.com>2015-06-14 12:36:21 +0200
committerCarlo Landmeter <clandmeter@gmail.com>2015-06-14 12:36:21 +0200
commitd5cadfd321b7ca88b162f8894b11f26a0f856d27 (patch)
treec2b65c9808c3c4bf054e66237095d8700eefb9e1 /main
parent31e9efc12cbbeae8c221bb87ba0d72b687ae2f1e (diff)
downloadaports-d5cadfd321b7ca88b162f8894b11f26a0f856d27.tar.bz2
aports-d5cadfd321b7ca88b162f8894b11f26a0f856d27.tar.xz
main/ttf-ubuntu-font-family: add default config
Diffstat (limited to 'main')
-rw-r--r--main/ttf-ubuntu-font-family/45-ubuntu.conf26
-rw-r--r--main/ttf-ubuntu-font-family/90-tt-ubuntu.conf71
-rw-r--r--main/ttf-ubuntu-font-family/APKBUILD41
3 files changed, 129 insertions, 9 deletions
diff --git a/main/ttf-ubuntu-font-family/45-ubuntu.conf b/main/ttf-ubuntu-font-family/45-ubuntu.conf
new file mode 100644
index 000000000..d660f28d3
--- /dev/null
+++ b/main/ttf-ubuntu-font-family/45-ubuntu.conf
@@ -0,0 +1,26 @@
+<?xml version="1.0"?>
+<!DOCTYPE fontconfig SYSTEM "fonts.dtd">
+<fontconfig>
+
+ <alias>
+ <family>Ubuntu</family>
+ <default>
+ <family>sans-serif</family>
+ </default>
+ </alias>
+
+ <alias>
+ <family>Ubuntu Condensed</family>
+ <default>
+ <family>sans-serif</family>
+ </default>
+ </alias>
+
+ <alias>
+ <family>Ubuntu Mono</family>
+ <default>
+ <family>monospace</family>
+ </default>
+ </alias>
+
+</fontconfig>
diff --git a/main/ttf-ubuntu-font-family/90-tt-ubuntu.conf b/main/ttf-ubuntu-font-family/90-tt-ubuntu.conf
new file mode 100644
index 000000000..9ed867b65
--- /dev/null
+++ b/main/ttf-ubuntu-font-family/90-tt-ubuntu.conf
@@ -0,0 +1,71 @@
+<?xml version='1.0'?>
+<!DOCTYPE fontconfig SYSTEM 'fonts.dtd'>
+<fontconfig>
+
+ <!-- Ubuntu -->
+ <match target="font">
+ <test name="force_autohint">
+ <bool>false</bool>
+ </test>
+ <test name="family">
+ <string>Ubuntu</string>
+ </test>
+ <edit name="antialias" mode="assign">
+ <bool>true</bool>
+ </edit>
+ <edit name="hinting" mode="assign">
+ <bool>true</bool>
+ </edit>
+ <edit name="hintstyle" mode="assign">
+ <const>hintslight</const>
+ </edit>
+ <edit name="autohint" mode="assign">
+ <bool>false</bool>
+ </edit>
+ </match>
+
+ <!-- Ubuntu Condensed -->
+ <match target="font">
+ <test name="force_autohint">
+ <bool>false</bool>
+ </test>
+ <test name="family">
+ <string>Ubuntu Condensed</string>
+ </test>
+ <edit name="antialias" mode="assign">
+ <bool>true</bool>
+ </edit>
+ <edit name="hinting" mode="assign">
+ <bool>true</bool>
+ </edit>
+ <edit name="hintstyle" mode="assign">
+ <const>hintslight</const>
+ </edit>
+ <edit name="autohint" mode="assign">
+ <bool>false</bool>
+ </edit>
+ </match>
+
+ <!-- Ubuntu Mono -->
+ <match target="font">
+ <test name="force_autohint">
+ <bool>false</bool>
+ </test>
+ <test name="family">
+ <string>Ubuntu Mono</string>
+ </test>
+ <edit name="antialias" mode="assign">
+ <bool>true</bool>
+ </edit>
+ <edit name="hinting" mode="assign">
+ <bool>true</bool>
+ </edit>
+ <edit name="hintstyle" mode="assign">
+ <const>hintslight</const>
+ </edit>
+ <edit name="autohint" mode="assign">
+ <bool>true</bool>
+ </edit>
+ </match>
+
+</fontconfig>
diff --git a/main/ttf-ubuntu-font-family/APKBUILD b/main/ttf-ubuntu-font-family/APKBUILD
index a6882d021..b67d3287d 100644
--- a/main/ttf-ubuntu-font-family/APKBUILD
+++ b/main/ttf-ubuntu-font-family/APKBUILD
@@ -2,28 +2,51 @@
# Maintainer: William Pitcock <nenolod@dereferenced.org>
pkgname=ttf-ubuntu-font-family
pkgver=0.80
-pkgrel=0
+pkgrel=1
pkgdesc="Ubuntu font family"
url="http://font.ubuntu.com/"
arch="noarch"
license="Custom"
depends=
depends_dev=
-makedepends="$depends_dev zip"
+makedepends="$depends_dev"
install=""
subpackages=
-source="http://font.ubuntu.com/download/ubuntu-font-family-${pkgver}.zip"
+# added fontconfig configuration from:
+# https://github.com/bohoomil/fontconfig-ultimate/tree/master/fontconfig_patches/fonts-settings
+source="http://font.ubuntu.com/download/ubuntu-font-family-${pkgver}.zip
+ 45-ubuntu.conf
+ 90-tt-ubuntu.conf"
_builddir="${srcdir}/ubuntu-font-family-${pkgver}"
+
package() {
cd "$_builddir"
- install -d "$pkgdir/usr/share/fonts/TTF"
- install -m644 *.ttf "$pkgdir/usr/share/fonts/TTF/"
+ mkdir -p "$pkgdir"/usr/share/fonts/$pkgname \
+ "$pkgdir"/etc/fonts/conf.avail \
+ "$pkgdir"/etc/fonts/conf.d
+
+ for i in "$_builddir"/*.ttf; do
+ install -m644 "$i" \
+ "$pkgdir"/usr/share/fonts/$pkgname/ || return 1
+ done
+
+ for j in "$srcdir"/*.conf; do
+ install -m644 "$j" \
+ "$pkgdir"/etc/fonts/conf.avail/ || return 1
+ cd "$pkgdir"/etc/fonts/conf.d
+ ln -sf /etc/fonts/conf.avail/${j##*/}
+ done
- install -m644 -D LICENCE.txt "$pkgdir"/usr/share/licenses/$pkgname/LICENCE.txt
- install -m644 -D LICENCE-FAQ.txt "$pkgdir"/usr/share/licenses/$pkgname/LICENCE-FAQ.txt
- install -m644 -D TRADEMARKS.txt "$pkgdir"/usr/share/licenses/$pkgname/TRADEMARKS.txt
}
-md5sums="a1fc70f5a5b1d096ab8310886cddaa1c ubuntu-font-family-0.80.zip"
+md5sums="a1fc70f5a5b1d096ab8310886cddaa1c ubuntu-font-family-0.80.zip
+da8b6ab4a70aa9ffdcaf54d53ebc540b 45-ubuntu.conf
+be2835e4d15de5916543d232f26b738d 90-tt-ubuntu.conf"
+sha256sums="107170099bbc3beae8602b97a5c423525d363106c3c24f787d43e09811298e4c ubuntu-font-family-0.80.zip
+16ea54f86dbf49b0152d0952de47ac5184f65bd80e2ada9116f29e18e7383b48 45-ubuntu.conf
+632230b9ed91451d04cb3637422b327672d9fe459a082cd226b93324b8b976c9 90-tt-ubuntu.conf"
+sha512sums="d35e382fd8c20057cfcbcca55b747eaf678fdbf2e146ee91cd081bd0614d2c88e5aa9f8d9e04b4368a17f89c243956532bd361f23609e9dd2f124fc52e218086 ubuntu-font-family-0.80.zip
+5aad0801ef01921750ced9003d8896a0a58e20ed164ea59207a71967a28af6d54c34fb7763838e0b73cf4b4b4b72f8ba7f551b800557b09d1e1e25df3d8d6252 45-ubuntu.conf
+c12eb45f2e5c1418ecd0f4e42f9c0c661134db2169f26b67ccd48e3524efda6e42cb192b6b9535b5f447cbe3a2ffb582229ed2789b6758d3ce98254bdc31fc8e 90-tt-ubuntu.conf"